Skip to content

Update a notification destination.

PUT
/notification/{notification_id}
curl --request PUT \
--url https://api.siteqwality.com/notification/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "type": "email", "details": { "email_address": "example" } }'
notification_id
required
string format: uuid

Notification identifier

Media type application/json
object
type
One of:
string
Allowed values: email sms slack webhook telegram discord microsoft_teams pagerduty opsgenie google_chat mattermost pushover pushbullet
details
One of:
One of:
object
email_address
required
string

Notification destination updated

Invalid request body

Missing or invalid authentication

Notification not found

A newer version created this destination; it cannot be edited yet

The integration is not in this account, or is another type

Internal server error